Bug 125595 - Web Inspector: Add Inspector Code Generation to JavaScriptCore for Runtime Domain
Summary: Web Inspector: Add Inspector Code Generation to JavaScriptCore for Runtime Do...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2013-12-11 11:39 PST by Joseph Pecoraro
Modified: 2015-09-05 15:35 PDT (History)
20 users (show)

See Also:


Attachments
[PATCH] Proposed Fix (187.32 KB, patch)
2013-12-11 18:13 PST, Joseph Pecoraro
joepeck: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-16 for mac-mountainlion-wk2 (485.28 KB, application/zip)
2013-12-11 19:32 PST, Build Bot
no flags Details
Archive of layout-test-results from webkit-ews-14 for mac-mountainlion-wk2 (482.65 KB, application/zip)
2013-12-11 20:18 PST, Build Bot
no flags Details
[PATCH] Proposed Fix (194.39 KB, patch)
2013-12-12 10:55 PST, Joseph Pecoraro
eflews.bot: commit-queue-
Details | Formatted Diff | Diff
[PATCH] Proposed Fix (191.14 KB, patch)
2013-12-12 11:20 PST, Joseph Pecoraro
eflews.bot: commit-queue-
Details | Formatted Diff | Diff
[PATCH] Proposed Fix (191.18 KB, patch)
2013-12-12 11:49 PST, Joseph Pecoraro
no flags Details | Formatted Diff | Diff
[PATCH] Proposed Fix (191.49 KB, patch)
2013-12-12 12:00 PST, Joseph Pecoraro
timothy: review+
eflews.bot: commit-queue-
Details | Formatted Diff | Diff
[PATCH] For Bots 1 (191.90 KB, patch)
2013-12-12 12:45 PST, Joseph Pecoraro
eflews.bot: commit-queue-
Details | Formatted Diff | Diff
[PATCH] For Bots 2 (192.32 KB, patch)
2013-12-12 13:11 PST, Joseph Pecoraro
eflews.bot: commit-queue-
Details | Formatted Diff | Diff
[PATCH] For Bots 3 (192.48 KB, patch)
2013-12-12 13:32 PST, Joseph Pecoraro
eflews.bot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-15 for mac-mountainlion-wk2 (472.29 KB, application/zip)
2013-12-12 13:56 PST, Build Bot
no flags Details
[PATCH] For Bots 4 (192.62 KB, patch)
2013-12-12 14:17 PST, Joseph Pecoraro
no flags Details | Formatted Diff | Diff
[Patch] includes windows fixes (454.96 KB, patch)
2013-12-13 11:40 PST, Roger Fong
no flags Details | Formatted Diff | Diff
[PATCH] to land (195.60 KB, patch)
2013-12-13 12:28 PST, Joseph Pecoraro
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Pecoraro 2013-12-11 11:39:21 PST
Next step for JSContext Inspection: Inspector Interface generation in JSC

Some of the domains will be in JavaScriptCore. For example, the Runtime domain. This step will include:

    1. Move the Runtime.json domain into JavaScriptCore
    2. Move code generation scripts and add derived sources steps JavaScriptCore
    3. Update CodeGeneration scripts to output dynamic filenames, and deal with a split protocol (some domains to generate, other domains are dependencies generated elsewhere)
    4. Update the WebCore derived sources to account for the protocol split
    5. Now that the protocol is split, update everyone that used to include "InspectorBackendCommands.js" to include the appropriate set of files
      => currently everyone will include both InspectorJSBackendCommands.js and InspectorWebBackendCommands.js

The Runtime domain will not end up being the only domain pushed into JSC, but it is a good starting point because the Runtime.json protocol definition does not depend on any other domains for types. It is standalone. Eventually getting this Agent up and running in just JavaScriptCore is still a ways away (we are missing InjectedScript, InjectedScriptManager, InjectedScriptHost, etc), but this is a hefty step forward already!
Comment 1 Joseph Pecoraro 2013-12-11 18:13:53 PST
Created attachment 219026 [details]
[PATCH] Proposed Fix

Sorry, I don't think I can easily break this up into pieces.

High level comment on how files are changing:

JavaScriptCore gains:

    JavaScriptCore/inspector/prototype/Runtime.json
    JavaScriptCore/scripts/CodeGeneratorInspector.py (exported to PrivateHeaders so WebCore can use it)
    JavaScriptCore/scripts/CodeGeneratorInspectorStrings.py (exported to PrivateHeaders so WebCore can use it)
    JavaScriptCore/scripts/generate-combined-inspector-json.py (exported to PrivateHeaders so WebCore can use it)

    DerivedSources/InspectorJS.json (exported to PrivateHeaders so WebCore can use it)
    DerivedSources/InspectorJSBackendCommands.js
    DerivedSources/InspectorJSBackendDispatchers.{h,cpp} (exported to PrivateHeaders so WebCore can use it)
    DerivedSources/InspectorJSFrontendDispatchers.{h,cpp} (exported to PrivateHeaders so WebCore can use it)
    DerivedSources/InspectorJSTypeBuilders.{h,cpp} (exported to PrivateHeaders so WebCore can use it)

WebCore's Derived Sources change name:

    DerivedSources/InspectorWeb.json
    DerivedSources/InspectorWebBackendCommands.js
    DerivedSources/InspectorWebBackendDispatchers.{h,cpp}
    DerivedSources/InspectorWebFrontendDispatchers.{h,cpp}
    DerivedSources/InspectorWebTypeBuilders.{h,cpp}

WebInspectorUI and LayoutTests:

    Now we have to worry about loading both a InspectorJSBackendCommands.js
    and InspectorWebBackendCommands.js where appropriate.
Comment 2 WebKit Commit Bot 2013-12-11 18:15:32 PST
Attachment 219026 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'ChangeLog', u'GNUmakefile.am', u'LayoutTests/ChangeLog', u'LayoutTests/http/tests/inspector-protocol/resources/InspectorTest.js', u'Source/JavaScriptCore/CMakeLists.txt', u'Source/JavaScriptCore/ChangeLog', u'Source/JavaScriptCore/DerivedSources.make', u'Source/JavaScriptCore/GNUmakefile.am', u'Source/JavaScriptCore/GNUmakefile.list.am', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/JavaScriptCore.vcxproj', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/JavaScriptCore.vcxproj.filters', u'Source/JavaScriptCore/JavaScriptCore.xcodeproj/project.pbxproj', u'Source/JavaScriptCore/inspector/protocol/Runtime.json', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspectorStrings.py', u'Source/JavaScriptCore/inspector/scripts/generate-combined-inspector-json.py', u'Source/WebCore/CMakeLists.txt', u'Source/WebCore/ChangeLog', u'Source/WebCore/DerivedSources.make', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSBackendDispatchers.h', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSFrontendDispatchers.h', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSTypeBuilders.h', u'Source/WebCore/GNUmakefile.am', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj.filters', u'Source/WebCore/WebCore.xcodeproj/project.pbxproj', u'Source/WebCore/inspector/CodeGeneratorInspector.py', u'Source/WebCore/inspector/CodeGeneratorInspectorStrings.py', u'Source/WebCore/inspector/ConsoleMessage.h', u'Source/WebCore/inspector/InjectedScriptHost.cpp', u'Source/WebCore/inspector/InspectorAgent.cpp', u'Source/WebCore/inspector/InspectorAgent.h', u'Source/WebCore/inspector/InspectorApplicationCacheAgent.cpp', u'Source/WebCore/inspector/InspectorApplicationCacheAgent.h', u'Source/WebCore/inspector/InspectorCSSAgent.h', u'Source/WebCore/inspector/InspectorCanvasAgent.cpp', u'Source/WebCore/inspector/InspectorCanvasAgent.h', u'Source/WebCore/inspector/InspectorConsoleAgent.cpp', u'Source/WebCore/inspector/InspectorConsoleAgent.h', u'Source/WebCore/inspector/InspectorController.cpp', u'Source/WebCore/inspector/InspectorDOMAgent.cpp', u'Source/WebCore/inspector/InspectorDOMAgent.h', u'Source/WebCore/inspector/InspectorDOMDebuggerAgent.cpp', u'Source/WebCore/inspector/InspectorDOMDebuggerAgent.h', u'Source/WebCore/inspector/InspectorDOMStorageAgent.cpp', u'Source/WebCore/inspector/InspectorDOMStorageAgent.h', u'Source/WebCore/inspector/InspectorDatabaseAgent.cpp', u'Source/WebCore/inspector/InspectorDatabaseAgent.h', u'Source/WebCore/inspector/InspectorDatabaseResource.cpp', u'Source/WebCore/inspector/InspectorDatabaseResource.h', u'Source/WebCore/inspector/InspectorDebuggerAgent.cpp', u'Source/WebCore/inspector/InspectorDebuggerAgent.h', u'Source/WebCore/inspector/InspectorFrontendClientLocal.cpp', u'Source/WebCore/inspector/InspectorHeapProfilerAgent.h', u'Source/WebCore/inspector/InspectorIndexedDBAgent.cpp', u'Source/WebCore/inspector/InspectorIndexedDBAgent.h', u'Source/WebCore/inspector/InspectorInputAgent.h', u'Source/WebCore/inspector/InspectorLayerTreeAgent.cpp', u'Source/WebCore/inspector/InspectorLayerTreeAgent.h', u'Source/WebCore/inspector/InspectorMemoryAgent.cpp', u'Source/WebCore/inspector/InspectorMemoryAgent.h', u'Source/WebCore/inspector/InspectorPageAgent.cpp', u'Source/WebCore/inspector/InspectorPageAgent.h', u'Source/WebCore/inspector/InspectorProfilerAgent.cpp', u'Source/WebCore/inspector/InspectorProfilerAgent.h', u'Source/WebCore/inspector/InspectorResourceAgent.cpp', u'Source/WebCore/inspector/InspectorResourceAgent.h', u'Source/WebCore/inspector/InspectorRuntimeAgent.h', u'Source/WebCore/inspector/InspectorTimelineAgent.cpp', u'Source/WebCore/inspector/InspectorTimelineAgent.h', u'Source/WebCore/inspector/InspectorWorkerAgent.cpp', u'Source/WebCore/inspector/InspectorWorkerAgent.h', u'Source/WebCore/inspector/PageRuntimeAgent.h', u'Source/WebCore/inspector/ScriptCallFrame.cpp', u'Source/WebCore/inspector/Scripts/generate-combined-inspector-json.py', u'Source/WebCore/inspector/WorkerInspectorController.cpp', u'Source/WebCore/inspector/WorkerRuntimeAgent.h', u'Source/WebCore/inspector/protocol/Runtime.json', u'Source/WebInspectorUI/ChangeLog', u'Source/WebInspectorUI/Scripts/copy-user-interface-resources.sh', u'Source/WebInspectorUI/Scripts/update-InspectorBackendCommands.rb', u'Source/WebInspectorUI/UserInterface/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/InspectorJSBackendCommands.js', u'Source/WebInspectorUI/UserInterface/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/6.0/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/6.0/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/7.0/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/7.0/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/LoadInspectorBackendCommands.js', u'Source/WebInspectorUI/WebInspectorUI.vcxproj/WebInspectorUI.vcxproj', u'Source/WebInspectorUI/WebInspectorUI.vcxproj/WebInspectorUI.vcxproj.filters', u'Source/WebInspectorUI/WebInspectorUI.xcodeproj/project.pbxproj', '--commit-queue']" exit_code: 1
ERROR: Source/WebCore/inspector/InspectorIndexedDBAgent.h:36:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorCanvasAgent.h:37:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorCSSAgent.h:30:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorController.cpp:44:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorController.cpp:53:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorRuntimeAgent.h:36:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/PageRuntimeAgent.h:36:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorDebuggerAgent.h:40:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorTimelineAgent.cpp:43:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorWorkerAgent.h:34:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorDOMAgent.cpp:72:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorLayerTreeAgent.h:35:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:92:  at least two spaces before inline comment  [pep8/E261] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:108:  trailing whitespace  [pep8/W291] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:876:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1274:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1355:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1708:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1794:  too many blank lines (5)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1869:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1884:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:286:  [RawTypes.BaseType.get_raw_validator_call_text] Class 'BaseType' has no 'get_validate_method_params' member  [pylint/E1101] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:661:  [TypeModel.Enum.get_optional] Method should have "self" as first argument  [pylint/E0213] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1618:  [TypeData.get_binding] Undefined variable 'Error'  [pylint/E0602] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1751:  [Templates.get_this_script_path_] Method should have "self" as first argument  [pylint/E0213] [5]
ERROR: Source/WebCore/inspector/InspectorInputAgent.h:36:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorIndexedDBAgent.cpp:62:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorMemoryAgent.h:36:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorDOMStorageAgent.h:32:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorDOMDebuggerAgent.h:36:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorAgent.h:33:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorDOMAgent.h:37:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorResourceAgent.h:35:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorDatabaseAgent.h:35:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorCanvasAgent.cpp:44:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorConsoleAgent.h:33:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/WorkerInspectorController.cpp:39:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/WorkerInspectorController.cpp:43:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorDebuggerAgent.cpp:39:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorPageAgent.cpp:66:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorFrontendClientLocal.cpp:44:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorHeapProfilerAgent.h:37:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorResourceAgent.cpp:49:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorPageAgent.h:39:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorApplicationCacheAgent.cpp:37:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorAgent.cpp:43:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorDOMDebuggerAgent.cpp:41:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorProfilerAgent.h:36:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorTimelineAgent.h:37:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorDOMStorageAgent.cpp:42:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorApplicationCacheAgent.h:32:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 51 in 85 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 EFL EWS Bot 2013-12-11 18:17:19 PST
Comment on attachment 219026 [details]
[PATCH] Proposed Fix

Attachment 219026 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/48108115
Comment 4 Joseph Pecoraro 2013-12-11 18:42:26 PST
> [ 15%] Generating ../../DerivedSources/WebCore/InspectorWebBackendDispatchers.cpp, ../../DerivedSources/WebCore/InspectorWebBackendDispatchers.h, ../../DerivedSources/WebCore/InspectorWebFrontendDispatchers.cpp, ../../DerivedSources/WebCore/InspectorWebFrontendDispatchers.h, ../../DerivedSources/WebCore/InspectorWebTypeBuilders.cpp, ../../DerivedSources/WebCore/InspectorWebTypeBuilders.h
> Traceback (most recent call last):
>   File "/mnt/eflews/webkit/WebKit/Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py", line 1741, in <module>
>     dependency_input_file = open(dependency_json_filename, "r")
> IOError: [Errno 2] No such file or directory: '/mnt/eflews/webkit/WebKit/WebKitBuild/Release/DerivedSources/JavaScriptCore/InspectorJS.json'
> make[2]: *** [DerivedSources/WebCore/InspectorWebBackendDispatchers.cpp] Error 1
> make[1]: *** [Source/WebCore/CMakeFiles/WebCore.dir/all] Error 2
> make: *** [all] Error 2

Oookay. So it looks like when building WebCore on EFL it has cleared or done something to the JavaScriptCore DerivedSources? I'm going to have to figure out how to carry InspectorJS.json over.
Comment 5 Build Bot 2013-12-11 19:32:34 PST
Comment on attachment 219026 [details]
[PATCH] Proposed Fix

Attachment 219026 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/47008264

New failing tests:
http/tests/xmlhttprequest/access-control-repeated-failed-preflight-crash.html
Comment 6 Build Bot 2013-12-11 19:32:38 PST
Created attachment 219033 [details]
Archive of layout-test-results from webkit-ews-16 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-16  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 7 EFL EWS Bot 2013-12-11 20:15:47 PST
Comment on attachment 219026 [details]
[PATCH] Proposed Fix

Attachment 219026 [details] did not pass efl-wk2-ews (efl-wk2):
Output: http://webkit-queues.appspot.com/results/47618155
Comment 8 Build Bot 2013-12-11 20:18:23 PST
Comment on attachment 219026 [details]
[PATCH] Proposed Fix

Attachment 219026 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/47618152

New failing tests:
http/tests/xmlhttprequest/access-control-repeated-failed-preflight-crash.html
Comment 9 Build Bot 2013-12-11 20:18:27 PST
Created attachment 219036 [details]
Archive of layout-test-results from webkit-ews-14 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-14  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 10 kov's GTK+ EWS bot 2013-12-12 09:24:09 PST
Comment on attachment 219026 [details]
[PATCH] Proposed Fix

Attachment 219026 [details] did not pass gtk-ews (gtk):
Output: http://webkit-queues.appspot.com/results/44318031
Comment 11 Joseph Pecoraro 2013-12-12 10:54:25 PST
Actually, all of the bots output don't make sense to me... Trying another patch.
Comment 12 Joseph Pecoraro 2013-12-12 10:55:21 PST
Created attachment 219097 [details]
[PATCH] Proposed Fix
Comment 13 WebKit Commit Bot 2013-12-12 10:57:57 PST
Attachment 219097 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'ChangeLog', u'GNUmakefile.am', u'LayoutTests/ChangeLog', u'LayoutTests/http/tests/inspector-protocol/resources/InspectorTest.js', u'Source/JavaScriptCore/CMakeLists.txt', u'Source/JavaScriptCore/ChangeLog', u'Source/JavaScriptCore/DerivedSources.make', u'Source/JavaScriptCore/GNUmakefile.am', u'Source/JavaScriptCore/GNUmakefile.list.am', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/JavaScriptCore.vcxproj', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/JavaScriptCore.vcxproj.filters', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/copy-files.cmd', u'Source/JavaScriptCore/JavaScriptCore.xcodeproj/project.pbxproj', u'Source/JavaScriptCore/inspector/protocol/Runtime.json', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspectorStrings.py', u'Source/JavaScriptCore/inspector/scripts/generate-combined-inspector-json.py', u'Source/WebCore/CMakeLists.txt', u'Source/WebCore/ChangeLog', u'Source/WebCore/DerivedSources.make', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSBackendDispatchers.h', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSFrontendDispatchers.h', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSTypeBuilders.h', u'Source/WebCore/GNUmakefile.am', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj.filters', u'Source/WebCore/WebCore.xcodeproj/project.pbxproj', u'Source/WebCore/inspector/CodeGeneratorInspector.py', u'Source/WebCore/inspector/CodeGeneratorInspectorStrings.py', u'Source/WebCore/inspector/ConsoleMessage.h', u'Source/WebCore/inspector/InjectedScriptHost.cpp', u'Source/WebCore/inspector/InspectorAgent.cpp', u'Source/WebCore/inspector/InspectorAgent.h', u'Source/WebCore/inspector/InspectorApplicationCacheAgent.cpp', u'Source/WebCore/inspector/InspectorApplicationCacheAgent.h', u'Source/WebCore/inspector/InspectorCSSAgent.h', u'Source/WebCore/inspector/InspectorCanvasAgent.cpp', u'Source/WebCore/inspector/InspectorCanvasAgent.h', u'Source/WebCore/inspector/InspectorConsoleAgent.cpp', u'Source/WebCore/inspector/InspectorConsoleAgent.h', u'Source/WebCore/inspector/InspectorController.cpp', u'Source/WebCore/inspector/InspectorDOMAgent.cpp', u'Source/WebCore/inspector/InspectorDOMAgent.h', u'Source/WebCore/inspector/InspectorDOMDebuggerAgent.cpp', u'Source/WebCore/inspector/InspectorDOMDebuggerAgent.h', u'Source/WebCore/inspector/InspectorDOMStorageAgent.cpp', u'Source/WebCore/inspector/InspectorDOMStorageAgent.h', u'Source/WebCore/inspector/InspectorDatabaseAgent.cpp', u'Source/WebCore/inspector/InspectorDatabaseAgent.h', u'Source/WebCore/inspector/InspectorDatabaseResource.cpp', u'Source/WebCore/inspector/InspectorDatabaseResource.h', u'Source/WebCore/inspector/InspectorDebuggerAgent.cpp', u'Source/WebCore/inspector/InspectorDebuggerAgent.h', u'Source/WebCore/inspector/InspectorFrontendClientLocal.cpp', u'Source/WebCore/inspector/InspectorHeapProfilerAgent.h', u'Source/WebCore/inspector/InspectorIndexedDBAgent.cpp', u'Source/WebCore/inspector/InspectorIndexedDBAgent.h', u'Source/WebCore/inspector/InspectorInputAgent.h', u'Source/WebCore/inspector/InspectorLayerTreeAgent.cpp', u'Source/WebCore/inspector/InspectorLayerTreeAgent.h', u'Source/WebCore/inspector/InspectorMemoryAgent.cpp', u'Source/WebCore/inspector/InspectorMemoryAgent.h', u'Source/WebCore/inspector/InspectorPageAgent.cpp', u'Source/WebCore/inspector/InspectorPageAgent.h', u'Source/WebCore/inspector/InspectorProfilerAgent.cpp', u'Source/WebCore/inspector/InspectorProfilerAgent.h', u'Source/WebCore/inspector/InspectorResourceAgent.cpp', u'Source/WebCore/inspector/InspectorResourceAgent.h', u'Source/WebCore/inspector/InspectorRuntimeAgent.h', u'Source/WebCore/inspector/InspectorTimelineAgent.cpp', u'Source/WebCore/inspector/InspectorTimelineAgent.h', u'Source/WebCore/inspector/InspectorWorkerAgent.cpp', u'Source/WebCore/inspector/InspectorWorkerAgent.h', u'Source/WebCore/inspector/PageRuntimeAgent.h', u'Source/WebCore/inspector/ScriptCallFrame.cpp', u'Source/WebCore/inspector/Scripts/generate-combined-inspector-json.py', u'Source/WebCore/inspector/WorkerInspectorController.cpp', u'Source/WebCore/inspector/WorkerRuntimeAgent.h', u'Source/WebCore/inspector/protocol/Runtime.json', u'Source/WebInspectorUI/ChangeLog', u'Source/WebInspectorUI/Scripts/copy-user-interface-resources.sh', u'Source/WebInspectorUI/Scripts/update-InspectorBackendCommands.rb', u'Source/WebInspectorUI/UserInterface/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/InspectorJSBackendCommands.js', u'Source/WebInspectorUI/UserInterface/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/6.0/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/6.0/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/7.0/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/7.0/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/LoadInspectorBackendCommands.js', u'Source/WebInspectorUI/WebInspectorUI.vcxproj/WebInspectorUI.vcxproj', u'Source/WebInspectorUI/WebInspectorUI.vcxproj/WebInspectorUI.vcxproj.filters', u'Source/WebInspectorUI/WebInspectorUI.xcodeproj/project.pbxproj', '--commit-queue']" exit_code: 1
ERROR: Source/WebCore/inspector/InspectorIndexedDBAgent.h:36:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorCanvasAgent.h:37:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorCSSAgent.h:30:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorController.cpp:44:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorController.cpp:53:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorRuntimeAgent.h:36:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/PageRuntimeAgent.h:36:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorDebuggerAgent.h:40:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorTimelineAgent.cpp:43:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorWorkerAgent.h:34:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorDOMAgent.cpp:72:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorLayerTreeAgent.h:35:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:92:  at least two spaces before inline comment  [pep8/E261] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:108:  trailing whitespace  [pep8/W291] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:876:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1274:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1355:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1708:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1794:  too many blank lines (5)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1869:  expected 2 blank lines, found 1  [pep8/E302] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1884:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:286:  [RawTypes.BaseType.get_raw_validator_call_text] Class 'BaseType' has no 'get_validate_method_params' member  [pylint/E1101] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:661:  [TypeModel.Enum.get_optional] Method should have "self" as first argument  [pylint/E0213] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1618:  [TypeData.get_binding] Undefined variable 'Error'  [pylint/E0602] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1751:  [Templates.get_this_script_path_] Method should have "self" as first argument  [pylint/E0213] [5]
ERROR: Source/WebCore/inspector/InspectorInputAgent.h:36:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorIndexedDBAgent.cpp:62:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorMemoryAgent.h:36:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorDOMStorageAgent.h:32:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorDOMDebuggerAgent.h:36:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorAgent.h:33:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorDOMAgent.h:37:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorResourceAgent.h:35:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorDatabaseAgent.h:35:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorCanvasAgent.cpp:44:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorConsoleAgent.h:33:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/WorkerInspectorController.cpp:39:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/WorkerInspectorController.cpp:43:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorDebuggerAgent.cpp:39:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorPageAgent.cpp:66:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorFrontendClientLocal.cpp:44:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorHeapProfilerAgent.h:37:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorResourceAgent.cpp:49:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorPageAgent.h:39:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorApplicationCacheAgent.cpp:37:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorAgent.cpp:43:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorDOMDebuggerAgent.cpp:41:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorProfilerAgent.h:36:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorTimelineAgent.h:37:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorDOMStorageAgent.cpp:42:  Alphabetical sorting problem.  [build/include_order] [4]
ERROR: Source/WebCore/inspector/InspectorApplicationCacheAgent.h:32:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 51 in 86 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 14 EFL EWS Bot 2013-12-12 11:02:57 PST
Comment on attachment 219097 [details]
[PATCH] Proposed Fix

Attachment 219097 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/46348081
Comment 15 EFL EWS Bot 2013-12-12 11:11:05 PST
Comment on attachment 219097 [details]
[PATCH] Proposed Fix

Attachment 219097 [details] did not pass efl-wk2-ews (efl-wk2):
Output: http://webkit-queues.appspot.com/results/44418038
Comment 16 Joseph Pecoraro 2013-12-12 11:20:39 PST
Created attachment 219100 [details]
[PATCH] Proposed Fix

Noticed at least one typo in GNUMakefile. Added extra dependencies hoping that helps.
Comment 17 WebKit Commit Bot 2013-12-12 11:23:46 PST
Attachment 219100 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'ChangeLog', u'GNUmakefile.am', u'LayoutTests/ChangeLog', u'LayoutTests/http/tests/inspector-protocol/resources/InspectorTest.js', u'Source/JavaScriptCore/CMakeLists.txt', u'Source/JavaScriptCore/ChangeLog', u'Source/JavaScriptCore/DerivedSources.make', u'Source/JavaScriptCore/GNUmakefile.am', u'Source/JavaScriptCore/GNUmakefile.list.am', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/JavaScriptCore.vcxproj', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/JavaScriptCore.vcxproj.filters', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/copy-files.cmd', u'Source/JavaScriptCore/JavaScriptCore.xcodeproj/project.pbxproj', u'Source/JavaScriptCore/inspector/protocol/Runtime.json', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspectorStrings.py', u'Source/JavaScriptCore/inspector/scripts/generate-combined-inspector-json.py', u'Source/WebCore/CMakeLists.txt', u'Source/WebCore/ChangeLog', u'Source/WebCore/DerivedSources.make', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSBackendDispatchers.h', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSFrontendDispatchers.h', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSTypeBuilders.h', u'Source/WebCore/GNUmakefile.am', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj.filters', u'Source/WebCore/WebCore.xcodeproj/project.pbxproj', u'Source/WebCore/inspector/CodeGeneratorInspector.py', u'Source/WebCore/inspector/CodeGeneratorInspectorStrings.py', u'Source/WebCore/inspector/ConsoleMessage.h', u'Source/WebCore/inspector/InjectedScriptHost.cpp', u'Source/WebCore/inspector/InspectorAgent.cpp', u'Source/WebCore/inspector/InspectorAgent.h', u'Source/WebCore/inspector/InspectorApplicationCacheAgent.cpp', u'Source/WebCore/inspector/InspectorApplicationCacheAgent.h', u'Source/WebCore/inspector/InspectorCSSAgent.h', u'Source/WebCore/inspector/InspectorCanvasAgent.cpp', u'Source/WebCore/inspector/InspectorCanvasAgent.h', u'Source/WebCore/inspector/InspectorConsoleAgent.cpp', u'Source/WebCore/inspector/InspectorConsoleAgent.h', u'Source/WebCore/inspector/InspectorController.cpp', u'Source/WebCore/inspector/InspectorDOMAgent.cpp', u'Source/WebCore/inspector/InspectorDOMAgent.h', u'Source/WebCore/inspector/InspectorDOMDebuggerAgent.cpp', u'Source/WebCore/inspector/InspectorDOMDebuggerAgent.h', u'Source/WebCore/inspector/InspectorDOMStorageAgent.cpp', u'Source/WebCore/inspector/InspectorDOMStorageAgent.h', u'Source/WebCore/inspector/InspectorDatabaseAgent.cpp', u'Source/WebCore/inspector/InspectorDatabaseAgent.h', u'Source/WebCore/inspector/InspectorDatabaseResource.cpp', u'Source/WebCore/inspector/InspectorDatabaseResource.h', u'Source/WebCore/inspector/InspectorDebuggerAgent.cpp', u'Source/WebCore/inspector/InspectorDebuggerAgent.h', u'Source/WebCore/inspector/InspectorFrontendClientLocal.cpp', u'Source/WebCore/inspector/InspectorHeapProfilerAgent.h', u'Source/WebCore/inspector/InspectorIndexedDBAgent.cpp', u'Source/WebCore/inspector/InspectorIndexedDBAgent.h', u'Source/WebCore/inspector/InspectorInputAgent.h', u'Source/WebCore/inspector/InspectorLayerTreeAgent.cpp', u'Source/WebCore/inspector/InspectorLayerTreeAgent.h', u'Source/WebCore/inspector/InspectorMemoryAgent.cpp', u'Source/WebCore/inspector/InspectorMemoryAgent.h', u'Source/WebCore/inspector/InspectorPageAgent.cpp', u'Source/WebCore/inspector/InspectorPageAgent.h', u'Source/WebCore/inspector/InspectorProfilerAgent.cpp', u'Source/WebCore/inspector/InspectorProfilerAgent.h', u'Source/WebCore/inspector/InspectorResourceAgent.cpp', u'Source/WebCore/inspector/InspectorResourceAgent.h', u'Source/WebCore/inspector/InspectorRuntimeAgent.h', u'Source/WebCore/inspector/InspectorTimelineAgent.cpp', u'Source/WebCore/inspector/InspectorTimelineAgent.h', u'Source/WebCore/inspector/InspectorWorkerAgent.cpp', u'Source/WebCore/inspector/InspectorWorkerAgent.h', u'Source/WebCore/inspector/PageRuntimeAgent.h', u'Source/WebCore/inspector/ScriptCallFrame.cpp', u'Source/WebCore/inspector/Scripts/generate-combined-inspector-json.py', u'Source/WebCore/inspector/WorkerInspectorController.cpp', u'Source/WebCore/inspector/WorkerRuntimeAgent.h', u'Source/WebCore/inspector/protocol/Runtime.json', u'Source/WebInspectorUI/ChangeLog', u'Source/WebInspectorUI/Scripts/copy-user-interface-resources.sh', u'Source/WebInspectorUI/Scripts/update-InspectorBackendCommands.rb', u'Source/WebInspectorUI/UserInterface/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/InspectorJSBackendCommands.js', u'Source/WebInspectorUI/UserInterface/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/6.0/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/6.0/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/7.0/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/7.0/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/LoadInspectorBackendCommands.js', u'Source/WebInspectorUI/WebInspectorUI.vcxproj/WebInspectorUI.vcxproj', u'Source/WebInspectorUI/WebInspectorUI.vcxproj/WebInspectorUI.vcxproj.filters', u'Source/WebInspectorUI/WebInspectorUI.xcodeproj/project.pbxproj', '--commit-queue']" exit_code: 1
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:876:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1274:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1355:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1795:  too many blank lines (5)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1886:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:286:  [RawTypes.BaseType.get_raw_validator_call_text] Class 'BaseType' has no 'get_validate_method_params' member  [pylint/E1101] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:661:  [TypeModel.Enum.get_optional] Method should have "self" as first argument  [pylint/E0213] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1752:  [Templates.get_this_script_path_] Method should have "self" as first argument  [pylint/E0213] [5]
Total errors found: 8 in 86 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 18 EFL EWS Bot 2013-12-12 11:27:09 PST
Comment on attachment 219100 [details]
[PATCH] Proposed Fix

Attachment 219100 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/47808044
Comment 19 Joseph Pecoraro 2013-12-12 11:31:28 PST
GTK build error:

>   GEN    DerivedSources/JavaScriptCore/InspectorJS.json
>   ...
>   GEN    DerivedSources/JavaScriptCore/InspectorJSBackendDispatchers.cpp
>   ...
>   GEN    DerivedSources/WebCore/InspectorWebBackendDispatchers.cpp
> Traceback (most recent call last):
>   File "../../Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py", line 1733, in <module>
>     input_file = open(input_json_filename, "r")
> IOError: [Errno 2] No such file or directory: 'DerivedSources/JavaScriptCore/InspectorJS.json'

Maybe I need to use the absolute path to this file.
Comment 20 Joseph Pecoraro 2013-12-12 11:34:44 PST
(In reply to comment #19)
> GTK build error:
> 
> >   GEN    DerivedSources/JavaScriptCore/InspectorJS.json
> >   ...
> >   GEN    DerivedSources/JavaScriptCore/InspectorJSBackendDispatchers.cpp
> >   ...
> >   GEN    DerivedSources/WebCore/InspectorWebBackendDispatchers.cpp
> > Traceback (most recent call last):
> >   File "../../Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py", line 1733, in <module>
> >     input_file = open(input_json_filename, "r")
> > IOError: [Errno 2] No such file or directory: 'DerivedSources/JavaScriptCore/InspectorJS.json'
> 
> Maybe I need to use the absolute path to this file.

Oops, found it. I was outputting InspectorJS to WebCore's derived sources. Copy paste fail.
Comment 21 EFL EWS Bot 2013-12-12 11:38:38 PST
Comment on attachment 219100 [details]
[PATCH] Proposed Fix

Attachment 219100 [details] did not pass efl-wk2-ews (efl-wk2):
Output: http://webkit-queues.appspot.com/results/47878014
Comment 22 Joseph Pecoraro 2013-12-12 11:43:31 PST
EFL Build error:

> make[2]: *** No rule to make target `DerivedSources/JavaScriptCore/InspectorJS.json', needed by `DerivedSources/WebCore/InspectorWebBackendDispatchers.cpp'.  Stop.

That doesn't make sense to me. Source/JavaScriptCore/CMakeLists.txt has:

    add_custom_command(
        OUTPUT ${DERIVED_SOURCES_JAVASCRIPTCORE_DIR}/InspectorJS.json
        MAIN_DEPENDENCY ${JavaScriptCore_INSPECTOR_SCRIPTS_DIR}/generate-combined-inspector-json.py
        DEPENDS ${JavaScriptCore_INSPECTOR_DOMAINS}
        COMMAND ${PYTHON_EXECUTABLE} ${JavaScriptCore_INSPECTOR_SCRIPTS_DIR}/generate-combined-inspector-json.py ${JAVASCRIPTCORE_DIR}/inspector/protocol > ${DERIVED_SOURCES_JAVASCRIPTCORE_DIR}/InspectorJS.json
        VERBATIM)

Is this approach (referencing a JSC makefile command output from the WebCore makefile command) not allowed?
Comment 23 Joseph Pecoraro 2013-12-12 11:49:07 PST
Created attachment 219104 [details]
[PATCH] Proposed Fix

Hopefully this fixes GTK.
Comment 24 WebKit Commit Bot 2013-12-12 11:51:53 PST
Attachment 219104 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'ChangeLog', u'GNUmakefile.am', u'LayoutTests/ChangeLog', u'LayoutTests/http/tests/inspector-protocol/resources/InspectorTest.js', u'Source/JavaScriptCore/CMakeLists.txt', u'Source/JavaScriptCore/ChangeLog', u'Source/JavaScriptCore/DerivedSources.make', u'Source/JavaScriptCore/GNUmakefile.am', u'Source/JavaScriptCore/GNUmakefile.list.am', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/JavaScriptCore.vcxproj', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/JavaScriptCore.vcxproj.filters', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/copy-files.cmd', u'Source/JavaScriptCore/JavaScriptCore.xcodeproj/project.pbxproj', u'Source/JavaScriptCore/inspector/protocol/Runtime.json', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspectorStrings.py', u'Source/JavaScriptCore/inspector/scripts/generate-combined-inspector-json.py', u'Source/WebCore/CMakeLists.txt', u'Source/WebCore/ChangeLog', u'Source/WebCore/DerivedSources.make', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSBackendDispatchers.h', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSFrontendDispatchers.h', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSTypeBuilders.h', u'Source/WebCore/GNUmakefile.am', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj.filters', u'Source/WebCore/WebCore.xcodeproj/project.pbxproj', u'Source/WebCore/inspector/CodeGeneratorInspector.py', u'Source/WebCore/inspector/CodeGeneratorInspectorStrings.py', u'Source/WebCore/inspector/ConsoleMessage.h', u'Source/WebCore/inspector/InjectedScriptHost.cpp', u'Source/WebCore/inspector/InspectorAgent.cpp', u'Source/WebCore/inspector/InspectorAgent.h', u'Source/WebCore/inspector/InspectorApplicationCacheAgent.cpp', u'Source/WebCore/inspector/InspectorApplicationCacheAgent.h', u'Source/WebCore/inspector/InspectorCSSAgent.h', u'Source/WebCore/inspector/InspectorCanvasAgent.cpp', u'Source/WebCore/inspector/InspectorCanvasAgent.h', u'Source/WebCore/inspector/InspectorConsoleAgent.cpp', u'Source/WebCore/inspector/InspectorConsoleAgent.h', u'Source/WebCore/inspector/InspectorController.cpp', u'Source/WebCore/inspector/InspectorDOMAgent.cpp', u'Source/WebCore/inspector/InspectorDOMAgent.h', u'Source/WebCore/inspector/InspectorDOMDebuggerAgent.cpp', u'Source/WebCore/inspector/InspectorDOMDebuggerAgent.h', u'Source/WebCore/inspector/InspectorDOMStorageAgent.cpp', u'Source/WebCore/inspector/InspectorDOMStorageAgent.h', u'Source/WebCore/inspector/InspectorDatabaseAgent.cpp', u'Source/WebCore/inspector/InspectorDatabaseAgent.h', u'Source/WebCore/inspector/InspectorDatabaseResource.cpp', u'Source/WebCore/inspector/InspectorDatabaseResource.h', u'Source/WebCore/inspector/InspectorDebuggerAgent.cpp', u'Source/WebCore/inspector/InspectorDebuggerAgent.h', u'Source/WebCore/inspector/InspectorFrontendClientLocal.cpp', u'Source/WebCore/inspector/InspectorHeapProfilerAgent.h', u'Source/WebCore/inspector/InspectorIndexedDBAgent.cpp', u'Source/WebCore/inspector/InspectorIndexedDBAgent.h', u'Source/WebCore/inspector/InspectorInputAgent.h', u'Source/WebCore/inspector/InspectorLayerTreeAgent.cpp', u'Source/WebCore/inspector/InspectorLayerTreeAgent.h', u'Source/WebCore/inspector/InspectorMemoryAgent.cpp', u'Source/WebCore/inspector/InspectorMemoryAgent.h', u'Source/WebCore/inspector/InspectorPageAgent.cpp', u'Source/WebCore/inspector/InspectorPageAgent.h', u'Source/WebCore/inspector/InspectorProfilerAgent.cpp', u'Source/WebCore/inspector/InspectorProfilerAgent.h', u'Source/WebCore/inspector/InspectorResourceAgent.cpp', u'Source/WebCore/inspector/InspectorResourceAgent.h', u'Source/WebCore/inspector/InspectorRuntimeAgent.h', u'Source/WebCore/inspector/InspectorTimelineAgent.cpp', u'Source/WebCore/inspector/InspectorTimelineAgent.h', u'Source/WebCore/inspector/InspectorWorkerAgent.cpp', u'Source/WebCore/inspector/InspectorWorkerAgent.h', u'Source/WebCore/inspector/PageRuntimeAgent.h', u'Source/WebCore/inspector/ScriptCallFrame.cpp', u'Source/WebCore/inspector/Scripts/generate-combined-inspector-json.py', u'Source/WebCore/inspector/WorkerInspectorController.cpp', u'Source/WebCore/inspector/WorkerRuntimeAgent.h', u'Source/WebCore/inspector/protocol/Runtime.json', u'Source/WebInspectorUI/ChangeLog', u'Source/WebInspectorUI/Scripts/copy-user-interface-resources.sh', u'Source/WebInspectorUI/Scripts/update-InspectorBackendCommands.rb', u'Source/WebInspectorUI/UserInterface/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/InspectorJSBackendCommands.js', u'Source/WebInspectorUI/UserInterface/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/6.0/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/6.0/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/7.0/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/7.0/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/LoadInspectorBackendCommands.js', u'Source/WebInspectorUI/WebInspectorUI.vcxproj/WebInspectorUI.vcxproj', u'Source/WebInspectorUI/WebInspectorUI.vcxproj/WebInspectorUI.vcxproj.filters', u'Source/WebInspectorUI/WebInspectorUI.xcodeproj/project.pbxproj', '--commit-queue']" exit_code: 1
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:876:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1274:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1355:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1795:  too many blank lines (5)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1886:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:286:  [RawTypes.BaseType.get_raw_validator_call_text] Class 'BaseType' has no 'get_validate_method_params' member  [pylint/E1101] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:661:  [TypeModel.Enum.get_optional] Method should have "self" as first argument  [pylint/E0213] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1752:  [Templates.get_this_script_path_] Method should have "self" as first argument  [pylint/E0213] [5]
Total errors found: 8 in 86 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 25 Joseph Pecoraro 2013-12-12 12:00:05 PST
Created attachment 219105 [details]
[PATCH] Proposed Fix

More GTK fixes. Speculative EFL fixes.
Comment 26 WebKit Commit Bot 2013-12-12 12:01:37 PST
Attachment 219105 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'ChangeLog', u'GNUmakefile.am', u'LayoutTests/ChangeLog', u'LayoutTests/http/tests/inspector-protocol/resources/InspectorTest.js', u'Source/JavaScriptCore/CMakeLists.txt', u'Source/JavaScriptCore/ChangeLog', u'Source/JavaScriptCore/DerivedSources.make', u'Source/JavaScriptCore/GNUmakefile.am', u'Source/JavaScriptCore/GNUmakefile.list.am', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/JavaScriptCore.vcxproj', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/JavaScriptCore.vcxproj.filters', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/copy-files.cmd', u'Source/JavaScriptCore/JavaScriptCore.xcodeproj/project.pbxproj', u'Source/JavaScriptCore/inspector/protocol/Runtime.json', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspectorStrings.py', u'Source/JavaScriptCore/inspector/scripts/generate-combined-inspector-json.py', u'Source/WebCore/CMakeLists.txt', u'Source/WebCore/ChangeLog', u'Source/WebCore/DerivedSources.make', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSBackendDispatchers.h', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSFrontendDispatchers.h', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSTypeBuilders.h', u'Source/WebCore/GNUmakefile.am', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj.filters', u'Source/WebCore/WebCore.xcodeproj/project.pbxproj', u'Source/WebCore/inspector/CodeGeneratorInspector.py', u'Source/WebCore/inspector/CodeGeneratorInspectorStrings.py', u'Source/WebCore/inspector/ConsoleMessage.h', u'Source/WebCore/inspector/InjectedScriptHost.cpp', u'Source/WebCore/inspector/InspectorAgent.cpp', u'Source/WebCore/inspector/InspectorAgent.h', u'Source/WebCore/inspector/InspectorApplicationCacheAgent.cpp', u'Source/WebCore/inspector/InspectorApplicationCacheAgent.h', u'Source/WebCore/inspector/InspectorCSSAgent.h', u'Source/WebCore/inspector/InspectorCanvasAgent.cpp', u'Source/WebCore/inspector/InspectorCanvasAgent.h', u'Source/WebCore/inspector/InspectorConsoleAgent.cpp', u'Source/WebCore/inspector/InspectorConsoleAgent.h', u'Source/WebCore/inspector/InspectorController.cpp', u'Source/WebCore/inspector/InspectorDOMAgent.cpp', u'Source/WebCore/inspector/InspectorDOMAgent.h', u'Source/WebCore/inspector/InspectorDOMDebuggerAgent.cpp', u'Source/WebCore/inspector/InspectorDOMDebuggerAgent.h', u'Source/WebCore/inspector/InspectorDOMStorageAgent.cpp', u'Source/WebCore/inspector/InspectorDOMStorageAgent.h', u'Source/WebCore/inspector/InspectorDatabaseAgent.cpp', u'Source/WebCore/inspector/InspectorDatabaseAgent.h', u'Source/WebCore/inspector/InspectorDatabaseResource.cpp', u'Source/WebCore/inspector/InspectorDatabaseResource.h', u'Source/WebCore/inspector/InspectorDebuggerAgent.cpp', u'Source/WebCore/inspector/InspectorDebuggerAgent.h', u'Source/WebCore/inspector/InspectorFrontendClientLocal.cpp', u'Source/WebCore/inspector/InspectorHeapProfilerAgent.h', u'Source/WebCore/inspector/InspectorIndexedDBAgent.cpp', u'Source/WebCore/inspector/InspectorIndexedDBAgent.h', u'Source/WebCore/inspector/InspectorInputAgent.h', u'Source/WebCore/inspector/InspectorLayerTreeAgent.cpp', u'Source/WebCore/inspector/InspectorLayerTreeAgent.h', u'Source/WebCore/inspector/InspectorMemoryAgent.cpp', u'Source/WebCore/inspector/InspectorMemoryAgent.h', u'Source/WebCore/inspector/InspectorPageAgent.cpp', u'Source/WebCore/inspector/InspectorPageAgent.h', u'Source/WebCore/inspector/InspectorProfilerAgent.cpp', u'Source/WebCore/inspector/InspectorProfilerAgent.h', u'Source/WebCore/inspector/InspectorResourceAgent.cpp', u'Source/WebCore/inspector/InspectorResourceAgent.h', u'Source/WebCore/inspector/InspectorRuntimeAgent.h', u'Source/WebCore/inspector/InspectorTimelineAgent.cpp', u'Source/WebCore/inspector/InspectorTimelineAgent.h', u'Source/WebCore/inspector/InspectorWorkerAgent.cpp', u'Source/WebCore/inspector/InspectorWorkerAgent.h', u'Source/WebCore/inspector/PageRuntimeAgent.h', u'Source/WebCore/inspector/ScriptCallFrame.cpp', u'Source/WebCore/inspector/Scripts/generate-combined-inspector-json.py', u'Source/WebCore/inspector/WorkerInspectorController.cpp', u'Source/WebCore/inspector/WorkerRuntimeAgent.h', u'Source/WebCore/inspector/protocol/Runtime.json', u'Source/WebInspectorUI/ChangeLog', u'Source/WebInspectorUI/Scripts/copy-user-interface-resources.sh', u'Source/WebInspectorUI/Scripts/update-InspectorBackendCommands.rb', u'Source/WebInspectorUI/UserInterface/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/InspectorJSBackendCommands.js', u'Source/WebInspectorUI/UserInterface/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/6.0/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/6.0/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/7.0/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/7.0/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/LoadInspectorBackendCommands.js', u'Source/WebInspectorUI/WebInspectorUI.vcxproj/WebInspectorUI.vcxproj', u'Source/WebInspectorUI/WebInspectorUI.vcxproj/WebInspectorUI.vcxproj.filters', u'Source/WebInspectorUI/WebInspectorUI.xcodeproj/project.pbxproj', '--commit-queue']" exit_code: 1
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:876:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1274:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1355:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1795:  too many blank lines (5)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1886:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:286:  [RawTypes.BaseType.get_raw_validator_call_text] Class 'BaseType' has no 'get_validate_method_params' member  [pylint/E1101] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:661:  [TypeModel.Enum.get_optional] Method should have "self" as first argument  [pylint/E0213] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1752:  [Templates.get_this_script_path_] Method should have "self" as first argument  [pylint/E0213] [5]
Total errors found: 8 in 86 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 27 EFL EWS Bot 2013-12-12 12:07:09 PST
Comment on attachment 219105 [details]
[PATCH] Proposed Fix

Attachment 219105 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/45498007
Comment 28 Timothy Hatcher 2013-12-12 12:17:10 PST
Comment on attachment 219105 [details]
[PATCH] Proposed Fix

View in context: https://bugs.webkit.org/attachment.cgi?id=219105&action=review

> Source/WebInspectorUI/UserInterface/LoadInspectorBackendCommands.js:35
> +        // FIXME: When we can inspect just a JSContext, we should not load InspectorWebBackendCommands.js.

Would backendURLs ever be null in the case of inspecting a JSContext?
Comment 29 Joseph Pecoraro 2013-12-12 12:26:36 PST
GTK Build error:

> make[1]: *** [Source/WebCore/bindings/js/libWebCore_la-ScriptProfile.lo] Error 1
> In file included from ../../Source/WebCore/bindings/js/ScriptProfile.h:38:0,
>                  from ../../Source/WebCore/page/Console.h:33,
>                  from ../../Source/WebCore/bindings/js/JSDOMWindowBase.cpp:27:
> ./DerivedSources/WebCore/InspectorWebTypeBuilders.h:14:47: fatal error: inspector/InspectorJSTypeBuilders.h: No such file or directory
>  #include <inspector/InspectorJSTypeBuilders.h>

Why? Other <inspector/Foo.h> includes work. This is a new file added to WebCore/ForwardingHeaders/inspector/InspectorJSTypeBuilders.h that ultimately references the JavaScriptCore/DerivedSources/InspectorJSTypeBuilders.h. I could understand maybe the second include not working, but this error message is about the first include.
Comment 30 EFL EWS Bot 2013-12-12 12:26:39 PST
Comment on attachment 219105 [details]
[PATCH] Proposed Fix

Attachment 219105 [details] did not pass efl-wk2-ews (efl-wk2):
Output: http://webkit-queues.appspot.com/results/48418009
Comment 31 Joseph Pecoraro 2013-12-12 12:27:54 PST
(In reply to comment #28)
> (From update of attachment 219105 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=219105&action=review
> 
> > Source/WebInspectorUI/UserInterface/LoadInspectorBackendCommands.js:35
> > +        // FIXME: When we can inspect just a JSContext, we should not load InspectorWebBackendCommands.js.
> 
> Would backendURLs ever be null in the case of inspecting a JSContext?

No. We would always want to have at least one backend commands with the list of domains we can use.
Comment 32 Joseph Pecoraro 2013-12-12 12:30:37 PST
EFL Build Error: (same as GTK's right now)

> In file included from /mnt/eflews/webkit/WebKit/Source/WebCore/inspector/ScriptCallStack.h:35:0,
>                  from /mnt/eflews/webkit/WebKit/Source/WebCore/page/PageConsole.h:33,
>                  from /mnt/eflews/webkit/WebKit/Source/WebCore/css/CSSParser.cpp:70:
> /mnt/eflews/webkit/WebKit/WebKitBuild/Release/DerivedSources/WebCore/InspectorWebTypeBuilders.h:14:47: fatal error: inspector/InspectorJSTypeBuilders.h: No such file or directory

Again, I don't understand this issue with seeing forwarding headers.

--

At least EFL and GTK are on the same page though. The files are being generated, they just are not compiling.
Comment 33 Joseph Pecoraro 2013-12-12 12:45:02 PST
Created attachment 219109 [details]
[PATCH] For Bots 1

Wild guesses.
Comment 34 WebKit Commit Bot 2013-12-12 12:47:19 PST
Attachment 219109 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'ChangeLog', u'GNUmakefile.am', u'LayoutTests/ChangeLog', u'LayoutTests/http/tests/inspector-protocol/resources/InspectorTest.js', u'Source/JavaScriptCore/CMakeLists.txt', u'Source/JavaScriptCore/ChangeLog', u'Source/JavaScriptCore/DerivedSources.make', u'Source/JavaScriptCore/GNUmakefile.am', u'Source/JavaScriptCore/GNUmakefile.list.am', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/JavaScriptCore.vcxproj', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/JavaScriptCore.vcxproj.filters', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/copy-files.cmd', u'Source/JavaScriptCore/JavaScriptCore.xcodeproj/project.pbxproj', u'Source/JavaScriptCore/inspector/protocol/Runtime.json', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspectorStrings.py', u'Source/JavaScriptCore/inspector/scripts/generate-combined-inspector-json.py', u'Source/WebCore/CMakeLists.txt', u'Source/WebCore/ChangeLog', u'Source/WebCore/DerivedSources.make', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSBackendDispatchers.h', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSFrontendDispatchers.h', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSTypeBuilders.h', u'Source/WebCore/GNUmakefile.am', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj.filters', u'Source/WebCore/WebCore.xcodeproj/project.pbxproj', u'Source/WebCore/inspector/CodeGeneratorInspector.py', u'Source/WebCore/inspector/CodeGeneratorInspectorStrings.py', u'Source/WebCore/inspector/ConsoleMessage.h', u'Source/WebCore/inspector/InjectedScriptHost.cpp', u'Source/WebCore/inspector/InspectorAgent.cpp', u'Source/WebCore/inspector/InspectorAgent.h', u'Source/WebCore/inspector/InspectorApplicationCacheAgent.cpp', u'Source/WebCore/inspector/InspectorApplicationCacheAgent.h', u'Source/WebCore/inspector/InspectorCSSAgent.h', u'Source/WebCore/inspector/InspectorCanvasAgent.cpp', u'Source/WebCore/inspector/InspectorCanvasAgent.h', u'Source/WebCore/inspector/InspectorConsoleAgent.cpp', u'Source/WebCore/inspector/InspectorConsoleAgent.h', u'Source/WebCore/inspector/InspectorController.cpp', u'Source/WebCore/inspector/InspectorDOMAgent.cpp', u'Source/WebCore/inspector/InspectorDOMAgent.h', u'Source/WebCore/inspector/InspectorDOMDebuggerAgent.cpp', u'Source/WebCore/inspector/InspectorDOMDebuggerAgent.h', u'Source/WebCore/inspector/InspectorDOMStorageAgent.cpp', u'Source/WebCore/inspector/InspectorDOMStorageAgent.h', u'Source/WebCore/inspector/InspectorDatabaseAgent.cpp', u'Source/WebCore/inspector/InspectorDatabaseAgent.h', u'Source/WebCore/inspector/InspectorDatabaseResource.cpp', u'Source/WebCore/inspector/InspectorDatabaseResource.h', u'Source/WebCore/inspector/InspectorDebuggerAgent.cpp', u'Source/WebCore/inspector/InspectorDebuggerAgent.h', u'Source/WebCore/inspector/InspectorFrontendClientLocal.cpp', u'Source/WebCore/inspector/InspectorHeapProfilerAgent.h', u'Source/WebCore/inspector/InspectorIndexedDBAgent.cpp', u'Source/WebCore/inspector/InspectorIndexedDBAgent.h', u'Source/WebCore/inspector/InspectorInputAgent.h', u'Source/WebCore/inspector/InspectorLayerTreeAgent.cpp', u'Source/WebCore/inspector/InspectorLayerTreeAgent.h', u'Source/WebCore/inspector/InspectorMemoryAgent.cpp', u'Source/WebCore/inspector/InspectorMemoryAgent.h', u'Source/WebCore/inspector/InspectorPageAgent.cpp', u'Source/WebCore/inspector/InspectorPageAgent.h', u'Source/WebCore/inspector/InspectorProfilerAgent.cpp', u'Source/WebCore/inspector/InspectorProfilerAgent.h', u'Source/WebCore/inspector/InspectorResourceAgent.cpp', u'Source/WebCore/inspector/InspectorResourceAgent.h', u'Source/WebCore/inspector/InspectorRuntimeAgent.h', u'Source/WebCore/inspector/InspectorTimelineAgent.cpp', u'Source/WebCore/inspector/InspectorTimelineAgent.h', u'Source/WebCore/inspector/InspectorWorkerAgent.cpp', u'Source/WebCore/inspector/InspectorWorkerAgent.h', u'Source/WebCore/inspector/PageRuntimeAgent.h', u'Source/WebCore/inspector/ScriptCallFrame.cpp', u'Source/WebCore/inspector/Scripts/generate-combined-inspector-json.py', u'Source/WebCore/inspector/WorkerInspectorController.cpp', u'Source/WebCore/inspector/WorkerRuntimeAgent.h', u'Source/WebCore/inspector/protocol/Runtime.json', u'Source/WebInspectorUI/ChangeLog', u'Source/WebInspectorUI/Scripts/copy-user-interface-resources.sh', u'Source/WebInspectorUI/Scripts/update-InspectorBackendCommands.rb', u'Source/WebInspectorUI/UserInterface/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/InspectorJSBackendCommands.js', u'Source/WebInspectorUI/UserInterface/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/6.0/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/6.0/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/7.0/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/7.0/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/LoadInspectorBackendCommands.js', u'Source/WebInspectorUI/WebInspectorUI.vcxproj/WebInspectorUI.vcxproj', u'Source/WebInspectorUI/WebInspectorUI.vcxproj/WebInspectorUI.vcxproj.filters', u'Source/WebInspectorUI/WebInspectorUI.xcodeproj/project.pbxproj', '--commit-queue']" exit_code: 1
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:876:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1274:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1355:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1795:  too many blank lines (5)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1886:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:286:  [RawTypes.BaseType.get_raw_validator_call_text] Class 'BaseType' has no 'get_validate_method_params' member  [pylint/E1101] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:661:  [TypeModel.Enum.get_optional] Method should have "self" as first argument  [pylint/E0213] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1752:  [Templates.get_this_script_path_] Method should have "self" as first argument  [pylint/E0213] [5]
Total errors found: 8 in 86 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 35 EFL EWS Bot 2013-12-12 12:55:19 PST
Comment on attachment 219109 [details]
[PATCH] For Bots 1

Attachment 219109 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/45628023
Comment 36 Joseph Pecoraro 2013-12-12 13:11:02 PST
Created attachment 219112 [details]
[PATCH] For Bots 2

More guessing, but I feel good about this guess.
Comment 37 WebKit Commit Bot 2013-12-12 13:13:37 PST
Attachment 219112 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'ChangeLog', u'GNUmakefile.am', u'LayoutTests/ChangeLog', u'LayoutTests/http/tests/inspector-protocol/resources/InspectorTest.js', u'Source/JavaScriptCore/CMakeLists.txt', u'Source/JavaScriptCore/ChangeLog', u'Source/JavaScriptCore/DerivedSources.make', u'Source/JavaScriptCore/GNUmakefile.am', u'Source/JavaScriptCore/GNUmakefile.list.am', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/JavaScriptCore.vcxproj', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/JavaScriptCore.vcxproj.filters', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/copy-files.cmd', u'Source/JavaScriptCore/JavaScriptCore.xcodeproj/project.pbxproj', u'Source/JavaScriptCore/inspector/protocol/Runtime.json', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspectorStrings.py', u'Source/JavaScriptCore/inspector/scripts/generate-combined-inspector-json.py', u'Source/WebCore/CMakeLists.txt', u'Source/WebCore/ChangeLog', u'Source/WebCore/DerivedSources.make', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSBackendDispatchers.h', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSFrontendDispatchers.h', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSTypeBuilders.h', u'Source/WebCore/GNUmakefile.am', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj.filters', u'Source/WebCore/WebCore.xcodeproj/project.pbxproj', u'Source/WebCore/inspector/CodeGeneratorInspector.py', u'Source/WebCore/inspector/CodeGeneratorInspectorStrings.py', u'Source/WebCore/inspector/ConsoleMessage.h', u'Source/WebCore/inspector/InjectedScriptHost.cpp', u'Source/WebCore/inspector/InspectorAgent.cpp', u'Source/WebCore/inspector/InspectorAgent.h', u'Source/WebCore/inspector/InspectorApplicationCacheAgent.cpp', u'Source/WebCore/inspector/InspectorApplicationCacheAgent.h', u'Source/WebCore/inspector/InspectorCSSAgent.h', u'Source/WebCore/inspector/InspectorCanvasAgent.cpp', u'Source/WebCore/inspector/InspectorCanvasAgent.h', u'Source/WebCore/inspector/InspectorConsoleAgent.cpp', u'Source/WebCore/inspector/InspectorConsoleAgent.h', u'Source/WebCore/inspector/InspectorController.cpp', u'Source/WebCore/inspector/InspectorDOMAgent.cpp', u'Source/WebCore/inspector/InspectorDOMAgent.h', u'Source/WebCore/inspector/InspectorDOMDebuggerAgent.cpp', u'Source/WebCore/inspector/InspectorDOMDebuggerAgent.h', u'Source/WebCore/inspector/InspectorDOMStorageAgent.cpp', u'Source/WebCore/inspector/InspectorDOMStorageAgent.h', u'Source/WebCore/inspector/InspectorDatabaseAgent.cpp', u'Source/WebCore/inspector/InspectorDatabaseAgent.h', u'Source/WebCore/inspector/InspectorDatabaseResource.cpp', u'Source/WebCore/inspector/InspectorDatabaseResource.h', u'Source/WebCore/inspector/InspectorDebuggerAgent.cpp', u'Source/WebCore/inspector/InspectorDebuggerAgent.h', u'Source/WebCore/inspector/InspectorFrontendClientLocal.cpp', u'Source/WebCore/inspector/InspectorHeapProfilerAgent.h', u'Source/WebCore/inspector/InspectorIndexedDBAgent.cpp', u'Source/WebCore/inspector/InspectorIndexedDBAgent.h', u'Source/WebCore/inspector/InspectorInputAgent.h', u'Source/WebCore/inspector/InspectorLayerTreeAgent.cpp', u'Source/WebCore/inspector/InspectorLayerTreeAgent.h', u'Source/WebCore/inspector/InspectorMemoryAgent.cpp', u'Source/WebCore/inspector/InspectorMemoryAgent.h', u'Source/WebCore/inspector/InspectorPageAgent.cpp', u'Source/WebCore/inspector/InspectorPageAgent.h', u'Source/WebCore/inspector/InspectorProfilerAgent.cpp', u'Source/WebCore/inspector/InspectorProfilerAgent.h', u'Source/WebCore/inspector/InspectorResourceAgent.cpp', u'Source/WebCore/inspector/InspectorResourceAgent.h', u'Source/WebCore/inspector/InspectorRuntimeAgent.h', u'Source/WebCore/inspector/InspectorTimelineAgent.cpp', u'Source/WebCore/inspector/InspectorTimelineAgent.h', u'Source/WebCore/inspector/InspectorWorkerAgent.cpp', u'Source/WebCore/inspector/InspectorWorkerAgent.h', u'Source/WebCore/inspector/PageRuntimeAgent.h', u'Source/WebCore/inspector/ScriptCallFrame.cpp', u'Source/WebCore/inspector/Scripts/generate-combined-inspector-json.py', u'Source/WebCore/inspector/WorkerInspectorController.cpp', u'Source/WebCore/inspector/WorkerRuntimeAgent.h', u'Source/WebCore/inspector/protocol/Runtime.json', u'Source/WebInspectorUI/ChangeLog', u'Source/WebInspectorUI/Scripts/copy-user-interface-resources.sh', u'Source/WebInspectorUI/Scripts/update-InspectorBackendCommands.rb', u'Source/WebInspectorUI/UserInterface/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/InspectorJSBackendCommands.js', u'Source/WebInspectorUI/UserInterface/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/6.0/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/6.0/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/7.0/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/7.0/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/LoadInspectorBackendCommands.js', u'Source/WebInspectorUI/WebInspectorUI.vcxproj/WebInspectorUI.vcxproj', u'Source/WebInspectorUI/WebInspectorUI.vcxproj/WebInspectorUI.vcxproj.filters', u'Source/WebInspectorUI/WebInspectorUI.xcodeproj/project.pbxproj', '--commit-queue']" exit_code: 1
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:876:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1274:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1355:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1795:  too many blank lines (5)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1886:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:286:  [RawTypes.BaseType.get_raw_validator_call_text] Class 'BaseType' has no 'get_validate_method_params' member  [pylint/E1101] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:661:  [TypeModel.Enum.get_optional] Method should have "self" as first argument  [pylint/E0213] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1752:  [Templates.get_this_script_path_] Method should have "self" as first argument  [pylint/E0213] [5]
Total errors found: 8 in 86 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 38 EFL EWS Bot 2013-12-12 13:15:38 PST
Comment on attachment 219112 [details]
[PATCH] For Bots 2

Attachment 219112 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/48488005
Comment 39 Joseph Pecoraro 2013-12-12 13:32:55 PST
Created attachment 219114 [details]
[PATCH] For Bots 3
Comment 40 WebKit Commit Bot 2013-12-12 13:51:56 PST
Attachment 219114 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'ChangeLog', u'GNUmakefile.am', u'LayoutTests/ChangeLog', u'LayoutTests/http/tests/inspector-protocol/resources/InspectorTest.js', u'Source/JavaScriptCore/CMakeLists.txt', u'Source/JavaScriptCore/ChangeLog', u'Source/JavaScriptCore/DerivedSources.make', u'Source/JavaScriptCore/GNUmakefile.am', u'Source/JavaScriptCore/GNUmakefile.list.am', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/JavaScriptCore.vcxproj', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/JavaScriptCore.vcxproj.filters', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/copy-files.cmd', u'Source/JavaScriptCore/JavaScriptCore.xcodeproj/project.pbxproj', u'Source/JavaScriptCore/inspector/protocol/Runtime.json', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspectorStrings.py', u'Source/JavaScriptCore/inspector/scripts/generate-combined-inspector-json.py', u'Source/WebCore/CMakeLists.txt', u'Source/WebCore/ChangeLog', u'Source/WebCore/DerivedSources.make', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSBackendDispatchers.h', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSFrontendDispatchers.h', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSTypeBuilders.h', u'Source/WebCore/GNUmakefile.am', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj.filters', u'Source/WebCore/WebCore.xcodeproj/project.pbxproj', u'Source/WebCore/inspector/CodeGeneratorInspector.py', u'Source/WebCore/inspector/CodeGeneratorInspectorStrings.py', u'Source/WebCore/inspector/ConsoleMessage.h', u'Source/WebCore/inspector/InjectedScriptHost.cpp', u'Source/WebCore/inspector/InspectorAgent.cpp', u'Source/WebCore/inspector/InspectorAgent.h', u'Source/WebCore/inspector/InspectorApplicationCacheAgent.cpp', u'Source/WebCore/inspector/InspectorApplicationCacheAgent.h', u'Source/WebCore/inspector/InspectorCSSAgent.h', u'Source/WebCore/inspector/InspectorCanvasAgent.cpp', u'Source/WebCore/inspector/InspectorCanvasAgent.h', u'Source/WebCore/inspector/InspectorConsoleAgent.cpp', u'Source/WebCore/inspector/InspectorConsoleAgent.h', u'Source/WebCore/inspector/InspectorController.cpp', u'Source/WebCore/inspector/InspectorDOMAgent.cpp', u'Source/WebCore/inspector/InspectorDOMAgent.h', u'Source/WebCore/inspector/InspectorDOMDebuggerAgent.cpp', u'Source/WebCore/inspector/InspectorDOMDebuggerAgent.h', u'Source/WebCore/inspector/InspectorDOMStorageAgent.cpp', u'Source/WebCore/inspector/InspectorDOMStorageAgent.h', u'Source/WebCore/inspector/InspectorDatabaseAgent.cpp', u'Source/WebCore/inspector/InspectorDatabaseAgent.h', u'Source/WebCore/inspector/InspectorDatabaseResource.cpp', u'Source/WebCore/inspector/InspectorDatabaseResource.h', u'Source/WebCore/inspector/InspectorDebuggerAgent.cpp', u'Source/WebCore/inspector/InspectorDebuggerAgent.h', u'Source/WebCore/inspector/InspectorFrontendClientLocal.cpp', u'Source/WebCore/inspector/InspectorHeapProfilerAgent.h', u'Source/WebCore/inspector/InspectorIndexedDBAgent.cpp', u'Source/WebCore/inspector/InspectorIndexedDBAgent.h', u'Source/WebCore/inspector/InspectorInputAgent.h', u'Source/WebCore/inspector/InspectorLayerTreeAgent.cpp', u'Source/WebCore/inspector/InspectorLayerTreeAgent.h', u'Source/WebCore/inspector/InspectorMemoryAgent.cpp', u'Source/WebCore/inspector/InspectorMemoryAgent.h', u'Source/WebCore/inspector/InspectorPageAgent.cpp', u'Source/WebCore/inspector/InspectorPageAgent.h', u'Source/WebCore/inspector/InspectorProfilerAgent.cpp', u'Source/WebCore/inspector/InspectorProfilerAgent.h', u'Source/WebCore/inspector/InspectorResourceAgent.cpp', u'Source/WebCore/inspector/InspectorResourceAgent.h', u'Source/WebCore/inspector/InspectorRuntimeAgent.h', u'Source/WebCore/inspector/InspectorTimelineAgent.cpp', u'Source/WebCore/inspector/InspectorTimelineAgent.h', u'Source/WebCore/inspector/InspectorWorkerAgent.cpp', u'Source/WebCore/inspector/InspectorWorkerAgent.h', u'Source/WebCore/inspector/PageRuntimeAgent.h', u'Source/WebCore/inspector/ScriptCallFrame.cpp', u'Source/WebCore/inspector/Scripts/generate-combined-inspector-json.py', u'Source/WebCore/inspector/WorkerInspectorController.cpp', u'Source/WebCore/inspector/WorkerRuntimeAgent.h', u'Source/WebCore/inspector/protocol/Runtime.json', u'Source/WebInspectorUI/ChangeLog', u'Source/WebInspectorUI/Scripts/copy-user-interface-resources.sh', u'Source/WebInspectorUI/Scripts/update-InspectorBackendCommands.rb', u'Source/WebInspectorUI/UserInterface/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/InspectorJSBackendCommands.js', u'Source/WebInspectorUI/UserInterface/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/6.0/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/6.0/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/7.0/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/7.0/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/LoadInspectorBackendCommands.js', u'Source/WebInspectorUI/WebInspectorUI.vcxproj/WebInspectorUI.vcxproj', u'Source/WebInspectorUI/WebInspectorUI.vcxproj/WebInspectorUI.vcxproj.filters', u'Source/WebInspectorUI/WebInspectorUI.xcodeproj/project.pbxproj', '--commit-queue']" exit_code: 1
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:876:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1274:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1355:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1795:  too many blank lines (5)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1886:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:286:  [RawTypes.BaseType.get_raw_validator_call_text] Class 'BaseType' has no 'get_validate_method_params' member  [pylint/E1101] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:661:  [TypeModel.Enum.get_optional] Method should have "self" as first argument  [pylint/E0213] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1752:  [Templates.get_this_script_path_] Method should have "self" as first argument  [pylint/E0213] [5]
Total errors found: 8 in 86 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 41 EFL EWS Bot 2013-12-12 13:54:50 PST
Comment on attachment 219114 [details]
[PATCH] For Bots 3

Attachment 219114 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/48498018
Comment 42 Build Bot 2013-12-12 13:56:52 PST
Comment on attachment 219105 [details]
[PATCH] Proposed Fix

Attachment 219105 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/48098362

New failing tests:
http/tests/xmlhttprequest/access-control-repeated-failed-preflight-crash.html
Comment 43 Build Bot 2013-12-12 13:56:57 PST
Created attachment 219117 [details]
Archive of layout-test-results from webkit-ews-15 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-15  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 44 EFL EWS Bot 2013-12-12 13:59:24 PST
Comment on attachment 219114 [details]
[PATCH] For Bots 3

Attachment 219114 [details] did not pass efl-wk2-ews (efl-wk2):
Output: http://webkit-queues.appspot.com/results/48558009
Comment 45 Joseph Pecoraro 2013-12-12 14:17:45 PST
Created attachment 219118 [details]
[PATCH] For Bots 4
Comment 46 WebKit Commit Bot 2013-12-12 14:21:23 PST
Attachment 219118 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'ChangeLog', u'GNUmakefile.am', u'LayoutTests/ChangeLog', u'LayoutTests/http/tests/inspector-protocol/resources/InspectorTest.js', u'Source/JavaScriptCore/CMakeLists.txt', u'Source/JavaScriptCore/ChangeLog', u'Source/JavaScriptCore/DerivedSources.make', u'Source/JavaScriptCore/GNUmakefile.am', u'Source/JavaScriptCore/GNUmakefile.list.am', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/JavaScriptCore.vcxproj', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/JavaScriptCore.vcxproj.filters', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/copy-files.cmd', u'Source/JavaScriptCore/JavaScriptCore.xcodeproj/project.pbxproj', u'Source/JavaScriptCore/inspector/protocol/Runtime.json', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspectorStrings.py', u'Source/JavaScriptCore/inspector/scripts/generate-combined-inspector-json.py', u'Source/WebCore/CMakeLists.txt', u'Source/WebCore/ChangeLog', u'Source/WebCore/DerivedSources.make', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSBackendDispatchers.h', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSFrontendDispatchers.h', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSTypeBuilders.h', u'Source/WebCore/GNUmakefile.am', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj.filters', u'Source/WebCore/WebCore.xcodeproj/project.pbxproj', u'Source/WebCore/inspector/CodeGeneratorInspector.py', u'Source/WebCore/inspector/CodeGeneratorInspectorStrings.py', u'Source/WebCore/inspector/ConsoleMessage.h', u'Source/WebCore/inspector/InjectedScriptHost.cpp', u'Source/WebCore/inspector/InspectorAgent.cpp', u'Source/WebCore/inspector/InspectorAgent.h', u'Source/WebCore/inspector/InspectorApplicationCacheAgent.cpp', u'Source/WebCore/inspector/InspectorApplicationCacheAgent.h', u'Source/WebCore/inspector/InspectorCSSAgent.h', u'Source/WebCore/inspector/InspectorCanvasAgent.cpp', u'Source/WebCore/inspector/InspectorCanvasAgent.h', u'Source/WebCore/inspector/InspectorConsoleAgent.cpp', u'Source/WebCore/inspector/InspectorConsoleAgent.h', u'Source/WebCore/inspector/InspectorController.cpp', u'Source/WebCore/inspector/InspectorDOMAgent.cpp', u'Source/WebCore/inspector/InspectorDOMAgent.h', u'Source/WebCore/inspector/InspectorDOMDebuggerAgent.cpp', u'Source/WebCore/inspector/InspectorDOMDebuggerAgent.h', u'Source/WebCore/inspector/InspectorDOMStorageAgent.cpp', u'Source/WebCore/inspector/InspectorDOMStorageAgent.h', u'Source/WebCore/inspector/InspectorDatabaseAgent.cpp', u'Source/WebCore/inspector/InspectorDatabaseAgent.h', u'Source/WebCore/inspector/InspectorDatabaseResource.cpp', u'Source/WebCore/inspector/InspectorDatabaseResource.h', u'Source/WebCore/inspector/InspectorDebuggerAgent.cpp', u'Source/WebCore/inspector/InspectorDebuggerAgent.h', u'Source/WebCore/inspector/InspectorFrontendClientLocal.cpp', u'Source/WebCore/inspector/InspectorHeapProfilerAgent.h', u'Source/WebCore/inspector/InspectorIndexedDBAgent.cpp', u'Source/WebCore/inspector/InspectorIndexedDBAgent.h', u'Source/WebCore/inspector/InspectorInputAgent.h', u'Source/WebCore/inspector/InspectorLayerTreeAgent.cpp', u'Source/WebCore/inspector/InspectorLayerTreeAgent.h', u'Source/WebCore/inspector/InspectorMemoryAgent.cpp', u'Source/WebCore/inspector/InspectorMemoryAgent.h', u'Source/WebCore/inspector/InspectorPageAgent.cpp', u'Source/WebCore/inspector/InspectorPageAgent.h', u'Source/WebCore/inspector/InspectorProfilerAgent.cpp', u'Source/WebCore/inspector/InspectorProfilerAgent.h', u'Source/WebCore/inspector/InspectorResourceAgent.cpp', u'Source/WebCore/inspector/InspectorResourceAgent.h', u'Source/WebCore/inspector/InspectorRuntimeAgent.h', u'Source/WebCore/inspector/InspectorTimelineAgent.cpp', u'Source/WebCore/inspector/InspectorTimelineAgent.h', u'Source/WebCore/inspector/InspectorWorkerAgent.cpp', u'Source/WebCore/inspector/InspectorWorkerAgent.h', u'Source/WebCore/inspector/PageRuntimeAgent.h', u'Source/WebCore/inspector/ScriptCallFrame.cpp', u'Source/WebCore/inspector/Scripts/generate-combined-inspector-json.py', u'Source/WebCore/inspector/WorkerInspectorController.cpp', u'Source/WebCore/inspector/WorkerRuntimeAgent.h', u'Source/WebCore/inspector/protocol/Runtime.json', u'Source/WebInspectorUI/ChangeLog', u'Source/WebInspectorUI/Scripts/copy-user-interface-resources.sh', u'Source/WebInspectorUI/Scripts/update-InspectorBackendCommands.rb', u'Source/WebInspectorUI/UserInterface/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/InspectorJSBackendCommands.js', u'Source/WebInspectorUI/UserInterface/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/6.0/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/6.0/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/7.0/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/7.0/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/LoadInspectorBackendCommands.js', u'Source/WebInspectorUI/WebInspectorUI.vcxproj/WebInspectorUI.vcxproj', u'Source/WebInspectorUI/WebInspectorUI.vcxproj/WebInspectorUI.vcxproj.filters', u'Source/WebInspectorUI/WebInspectorUI.xcodeproj/project.pbxproj', '--commit-queue']" exit_code: 1
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:876:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1274:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1355:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1795:  too many blank lines (5)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1886:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:286:  [RawTypes.BaseType.get_raw_validator_call_text] Class 'BaseType' has no 'get_validate_method_params' member  [pylint/E1101] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:661:  [TypeModel.Enum.get_optional] Method should have "self" as first argument  [pylint/E0213] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1752:  [Templates.get_this_script_path_] Method should have "self" as first argument  [pylint/E0213] [5]
Total errors found: 8 in 86 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 47 kov's GTK+ EWS bot 2013-12-12 15:10:24 PST
Comment on attachment 219105 [details]
[PATCH] Proposed Fix

Attachment 219105 [details] did not pass gtk-ews (gtk):
Output: http://webkit-queues.appspot.com/results/48508041
Comment 48 Joseph Pecoraro 2013-12-13 10:27:29 PST
Yay, EFL and GTK have built! Roger Fong is helping me with Windows. I have a fix for Mac as well since my changes to the WebInspectorUI.framework build phase actually uncovered something accidentally working there.
Comment 49 Roger Fong 2013-12-13 11:40:13 PST
Created attachment 219177 [details]
[Patch] includes windows fixes
Comment 50 Joseph Pecoraro 2013-12-13 12:28:33 PST
Created attachment 219179 [details]
[PATCH] to land

Here we go!
Comment 51 WebKit Commit Bot 2013-12-13 12:30:58 PST
Attachment 219179 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'ChangeLog', u'GNUmakefile.am', u'LayoutTests/ChangeLog', u'LayoutTests/http/tests/inspector-protocol/resources/InspectorTest.js', u'Source/JavaScriptCore/CMakeLists.txt', u'Source/JavaScriptCore/ChangeLog', u'Source/JavaScriptCore/DerivedSources.make', u'Source/JavaScriptCore/GNUmakefile.am', u'Source/JavaScriptCore/GNUmakefile.list.am', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/JavaScriptCore.vcxproj', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/JavaScriptCore.vcxproj.filters', u'Source/JavaScriptCore/JavaScriptCore.vcxproj/copy-files.cmd', u'Source/JavaScriptCore/JavaScriptCore.xcodeproj/project.pbxproj', u'Source/JavaScriptCore/inspector/protocol/Runtime.json', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py', u'Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspectorStrings.py', u'Source/JavaScriptCore/inspector/scripts/generate-combined-inspector-json.py', u'Source/WebCore/CMakeLists.txt', u'Source/WebCore/ChangeLog', u'Source/WebCore/DerivedSources.make', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSBackendDispatchers.h', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSFrontendDispatchers.h', u'Source/WebCore/ForwardingHeaders/inspector/InspectorJSTypeBuilders.h', u'Source/WebCore/GNUmakefile.am', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj', u'Source/WebCore/WebCore.vcxproj/WebCore.vcxproj.filters', u'Source/WebCore/WebCore.vcxproj/build-generated-files.sh', u'Source/WebCore/WebCore.xcodeproj/project.pbxproj', u'Source/WebCore/inspector/CodeGeneratorInspector.py', u'Source/WebCore/inspector/CodeGeneratorInspectorStrings.py', u'Source/WebCore/inspector/ConsoleMessage.h', u'Source/WebCore/inspector/InjectedScriptHost.cpp', u'Source/WebCore/inspector/InspectorAgent.cpp', u'Source/WebCore/inspector/InspectorAgent.h', u'Source/WebCore/inspector/InspectorApplicationCacheAgent.cpp', u'Source/WebCore/inspector/InspectorApplicationCacheAgent.h', u'Source/WebCore/inspector/InspectorCSSAgent.h', u'Source/WebCore/inspector/InspectorCanvasAgent.cpp', u'Source/WebCore/inspector/InspectorCanvasAgent.h', u'Source/WebCore/inspector/InspectorConsoleAgent.cpp', u'Source/WebCore/inspector/InspectorConsoleAgent.h', u'Source/WebCore/inspector/InspectorController.cpp', u'Source/WebCore/inspector/InspectorDOMAgent.cpp', u'Source/WebCore/inspector/InspectorDOMAgent.h', u'Source/WebCore/inspector/InspectorDOMDebuggerAgent.cpp', u'Source/WebCore/inspector/InspectorDOMDebuggerAgent.h', u'Source/WebCore/inspector/InspectorDOMStorageAgent.cpp', u'Source/WebCore/inspector/InspectorDOMStorageAgent.h', u'Source/WebCore/inspector/InspectorDatabaseAgent.cpp', u'Source/WebCore/inspector/InspectorDatabaseAgent.h', u'Source/WebCore/inspector/InspectorDatabaseResource.cpp', u'Source/WebCore/inspector/InspectorDatabaseResource.h', u'Source/WebCore/inspector/InspectorDebuggerAgent.cpp', u'Source/WebCore/inspector/InspectorDebuggerAgent.h', u'Source/WebCore/inspector/InspectorFrontendClientLocal.cpp', u'Source/WebCore/inspector/InspectorHeapProfilerAgent.h', u'Source/WebCore/inspector/InspectorIndexedDBAgent.cpp', u'Source/WebCore/inspector/InspectorIndexedDBAgent.h', u'Source/WebCore/inspector/InspectorInputAgent.h', u'Source/WebCore/inspector/InspectorLayerTreeAgent.cpp', u'Source/WebCore/inspector/InspectorLayerTreeAgent.h', u'Source/WebCore/inspector/InspectorMemoryAgent.cpp', u'Source/WebCore/inspector/InspectorMemoryAgent.h', u'Source/WebCore/inspector/InspectorPageAgent.cpp', u'Source/WebCore/inspector/InspectorPageAgent.h', u'Source/WebCore/inspector/InspectorProfilerAgent.cpp', u'Source/WebCore/inspector/InspectorProfilerAgent.h', u'Source/WebCore/inspector/InspectorResourceAgent.cpp', u'Source/WebCore/inspector/InspectorResourceAgent.h', u'Source/WebCore/inspector/InspectorRuntimeAgent.h', u'Source/WebCore/inspector/InspectorTimelineAgent.cpp', u'Source/WebCore/inspector/InspectorTimelineAgent.h', u'Source/WebCore/inspector/InspectorWorkerAgent.cpp', u'Source/WebCore/inspector/InspectorWorkerAgent.h', u'Source/WebCore/inspector/PageRuntimeAgent.h', u'Source/WebCore/inspector/ScriptCallFrame.cpp', u'Source/WebCore/inspector/Scripts/generate-combined-inspector-json.py', u'Source/WebCore/inspector/WorkerInspectorController.cpp', u'Source/WebCore/inspector/WorkerRuntimeAgent.h', u'Source/WebCore/inspector/protocol/Runtime.json', u'Source/WebCore/make-generated-sources.sh', u'Source/WebInspectorUI/ChangeLog', u'Source/WebInspectorUI/Scripts/copy-user-interface-resources.sh', u'Source/WebInspectorUI/Scripts/update-InspectorBackendCommands.rb', u'Source/WebInspectorUI/UserInterface/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/InspectorJSBackendCommands.js', u'Source/WebInspectorUI/UserInterface/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/6.0/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/6.0/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/7.0/InspectorBackendCommands.js', u'Source/WebInspectorUI/UserInterface/Legacy/7.0/InspectorWebBackendCommands.js', u'Source/WebInspectorUI/UserInterface/LoadInspectorBackendCommands.js', u'Source/WebInspectorUI/WebInspectorUI.vcxproj/WebInspectorUI.vcxproj', u'Source/WebInspectorUI/WebInspectorUI.vcxproj/WebInspectorUI.vcxproj.filters', u'Source/WebInspectorUI/WebInspectorUI.xcodeproj/project.pbxproj', '--commit-queue']" exit_code: 1
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:876:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1274:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1355:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1795:  too many blank lines (5)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1886:  too many blank lines (2)  [pep8/E303] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:286:  [RawTypes.BaseType.get_raw_validator_call_text] Class 'BaseType' has no 'get_validate_method_params' member  [pylint/E1101] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:661:  [TypeModel.Enum.get_optional] Method should have "self" as first argument  [pylint/E0213] [5]
ERROR: Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspector.py:1752:  [Templates.get_this_script_path_] Method should have "self" as first argument  [pylint/E0213] [5]
Total errors found: 8 in 88 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 52 Brian Burg 2014-01-11 18:31:47 PST
This got landed, right?
Comment 53 Radar WebKit Bug Importer 2014-01-11 18:32:08 PST
<rdar://problem/15800299>
Comment 54 Joseph Pecoraro 2014-01-13 10:39:28 PST
Sorry, yes this landed a while back:
<http://trac.webkit.org/changeset/160557>